Package twisted :: Package mail :: Module relay :: Class RelayerMixin |
[frames | no frames]

## Class RelayerMixin

Known Subclasses:
  `ESMTPRelayer`, `SMTPRelayer`

Method Summary
| `getMailData(self)`
| `getMailFrom(self)`
| `getMailTo(self)`
| `loadMessages(self, messagePaths)`
| ``sentMail`(self, code, resp, numOk, addresses, log)` Since we only use one recipient per envelope, this will be called with 0 or 1 addresses.

Method Details

### sentMail(self, code, resp, numOk, addresses, log) Since we only use one recipient per envelope, this will be called with 0 or 1 addresses. We probably want to do something with the error message if we failed.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:03 2003 | http://epydoc.sf.net